#define IFE_MAPPED       0x1		/* interface editor is mapped */
#define IFE_EDITOR       0x2		/* application is an editor */	
#define IFE_STARTED      0x4		/* editor has been started */
#define IFE_OCCUPIED     0x8		/* slot in table is occupied */
#define IFE_UPDATE       0x10		/* editors table has been changed */

#define IFE_MAXPARMS  50    /* max. number of parms for an application */

#define IFEMENUS        "ife.menu"

struct ProcDescr {
  int pid;  int fd;
  Widget button;			/* button if iconised */
  int y;				/* button coordinates */
  char *name;			      	/* application name for menu */
  char *fullName;			/* name as provided to exec */
  int flags;
};

struct IFEditor {
  struct ProcDescr application[MDS_MAXAPPL];	/* editor-information */
  Widget ifed_shell;				/* top-level shell widget */
  Widget ifed_window;				/* main window */
  exMenubar *menubar;				/* the menubar */
  Widget rowcol;				/* the rowcol widget */
  Widget lform, rform;
  Widget msgwin;			       	/* message area */
  Widget button_win;				/* window for editor icons */
  Widget note_title;                            /* title for notes-editor */
  Widget button_title;				/* title for button area */
  Widget icon;
  Editor notesEditor;
  int flags;
};
